   function fnValidateStockAudit() {           
        }
        function uppercase() {
            key = window.event.keyCode;
            if ((key > 0x60) && (key < 0x7B))
                window.event.keyCode = key - 0x20;
        }
        function fnClearTabIndexChange() {
        }
        function EnableTextBox(chkB,rowindex) {      
            var IsChecked = document.getElementById(chkB);        
            var a = document.getElementById('ctl00_CP_StockAuditDetailGridView');
            var node = a.rows[parseInt(rowindex)+1].cells[0].childNodes[0].children[0];
            if (node.type == "checkbox" && IsChecked.checked) {
                var c = a.rows[parseInt(rowindex) + 1].cells[8].childNodes[0];
                if (c.type == "text") {
                    c.disabled = false;
                }
            }
            else if (node.type == "checkbox" && !IsChecked.checked) {
            var c = a.rows[parseInt(rowindex)+ 1].cells[8].childNodes[0];
            if (c.type == "text") {
                c.disabled = true;
                }
            }
        }